//
//  CallEntry.m
//  cloudlog
//
//  Created by Code Foco on 7/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "CallEntry.h"


@implementation CallEntry

@synthesize callerAlias;
@synthesize callerNumber;
@synthesize duration;
@synthesize flags;


-(id) initWithValues: (NSString*) _callerNumber alias: (NSString*)_callerAlias duration:(NSTimeInterval)_duration andFlags:(int) _flags
{
    self = [super init];
    
    if (!self)
        return NULL;
    
    callerNumber = _callerNumber;
    callerAlias  = _callerAlias;
    duration     = _duration;
    flags        = _flags;
    
    return self;
}

-(NSString*) description
{
    return [NSString stringWithFormat:@"Call Entry: number=%@ name=%@ time:%.2g flags:%04x",callerAlias,duration, flags];
}

@end
